Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config
Class BrowserConfig

    java.lang.Object
      org.gjt.jclasslib.browser.config.BrowserConfig

All Implemented Interfaces:
  ClasspathComponent

public class BrowserConfig
extends Object
implements ClasspathComponent

Workspace configuration object.

Version:
  $Revision: 1.2 $ $Date: 2003/08/21 14:40:45 $
Author:
  Ingo Kegel

Constructor Summary
`BrowserConfig()`

Method Summary
`void` | `addClasspathArchive(String archiveName)` Add a classpath entry for an archive.
`void` | `addClasspathChangeListener(ClasspathChangeListener listener)` Add a `ClasspathChangeListener`.
`void` | `addClasspathDirectory(String directoryName)` Add a classpath entry for a directory.
`void` | `addClasspathEntry(ClasspathEntry entry)` Add a classpath entry.
`void` | `addRuntimeLib()` Add the `rt.jar` archive of the JRE used by the bytecode browser to the classpath.
`FindResult` | `findClass(String className)` Find a class by name within thsi classpath component.
`List` | `getClasspath()` Get the list of `ClasspathEntry` objects that define the classpath.
`MDIConfig` | `getMDIConfig()` Get the associated MDI configuration object.
`void` | `mergeClassesIntoTree(DefaultTreeModel model, boolean reset)` Merge all classes in this classpath component into the supplied tree.
`void` | `removeClasspathChangeListener(ClasspathChangeListener listener)` Remove a `ClasspathChangeListener`.
`void` | `removeClasspathEntry(ClasspathEntry entry)` Remove a classpath entry.
`void` | `setClasspath(List classpath)` Set the list of `ClasspathEntry` objects that define the classpath.
`void` | `setMDIConfig(MDIConfig mdiConfig)` Set the associated MDI configuration object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserConfig

    public BrowserConfig()

Method Detail

### getMDIConfig

    public MDIConfig getMDIConfig()

  Get the associated MDI configuration object.

  Returns:
    the `MDIConfig` object.

### setMDIConfig

    public void setMDIConfig(MDIConfig mdiConfig)

  Set the associated MDI configuration object.

  Parameters:
    `mdiConfig` - the `MDIConfig` object.

### getClasspath

    public List getClasspath()

  Get the list of `ClasspathEntry` objects that define the classpath.

  Returns:
    the list

### setClasspath

    public void setClasspath(List classpath)

  Set the list of `ClasspathEntry` objects that define the classpath.

  Parameters:
    `classpath` - the list

### addClasspathChangeListener

    public void addClasspathChangeListener(ClasspathChangeListener listener)

  Description copied from interface: `ClasspathComponent`
  Add a `ClasspathChangeListener`.

  Specified by:
    `addClasspathChangeListener` in interface `ClasspathComponent`
  Parameters:
    `listener` - the listener

### removeClasspathChangeListener

    public void removeClasspathChangeListener(ClasspathChangeListener listener)

  Description copied from interface: `ClasspathComponent`
  Remove a `ClasspathChangeListener`.

  Specified by:
    `removeClasspathChangeListener` in interface `ClasspathComponent`
  Parameters:
    `listener` - the listener

### addClasspathDirectory

    public void addClasspathDirectory(String directoryName)

  Add a classpath entry for a directory. Has no effect of the classpath entry is already present.

  Parameters:
    `directoryName` - the name of the directory.

### addClasspathArchive

    public void addClasspathArchive(String archiveName)

  Add a classpath entry for an archive. Has no effect of the classpath entry is already present.

  Parameters:
    `archiveName` - the path of he archive.

### addClasspathEntry

    public void addClasspathEntry(ClasspathEntry entry)

  Add a classpath entry. Has no effect of the classpath entry is already present.

  Parameters:
    `entry` - the entry.

### removeClasspathEntry

    public void removeClasspathEntry(ClasspathEntry entry)

  Remove a classpath entry.

  Parameters:
    `entry` - the entry.

### addRuntimeLib

    public void addRuntimeLib()

  Add the `rt.jar` archive of the JRE used by the bytecode browser to the classpath.

### findClass

    public FindResult findClass(String className)

  Description copied from interface: `ClasspathComponent`
  Find a class by name within thsi classpath component.

  Specified by:
    `findClass` in interface `ClasspathComponent`
  Parameters:
    `className` - the name of the class
  Returns:
    the `FindResult` object. `null` if no class could be found.

### mergeClassesIntoTree

    public void mergeClassesIntoTree(DefaultTreeModel model,
                                     boolean reset)

  Description copied from interface: `ClasspathComponent`
  Merge all classes in this classpath component into the supplied tree.

  Specified by:
    `mergeClassesIntoTree` in interface `ClasspathComponent`
  Parameters:
    `model` - the tree model.
    `reset` - whether this is an incremental operation or part of a reset. For a reset, no change events will be fired on the tree model.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD